
Katello - Bug #4213

[hammer-cli] Can not get info on a gpg key based on the name, only the id

01/28/2014 08:23 PM - Bryan Kearney

Status: Resolved   

Priority: Normal   

Assignee: Partha Aji   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This command works:

hammer -u admin -p changeme gpg info --id 1

this does not

hammer -u admin -p changeme gpg info --name bkearney --organization-id DemoOrg

History

#1 - 01/31/2014 08:49 PM - David Davis

- Category set to Hammer

#2 - 02/04/2014 08:59 PM - Og Maciel

[root@qetello03 katello-deploy]# hammer organization list

------------------------------------------------------------------------

ID | NAME             | LABEL            | DESCRIPTION

------------------------------------------------------------------------

1  | ACME_Corporation | ACME_Corporation | ACME_Corporation Organization

------------------------------------------------------------------------

[root@qetello03 katello-deploy]# hammer gpg list --organization-id 1

404 Resource Not Found

[root@qetello03 katello-deploy]# hammer gpg list --organization-id ACME_Corporation

No data.

#3 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#4 - 08/18/2014 01:51 PM - Eric Helms

- Status changed from New to Resolved

#5 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13
